* {
  padding: 0;
  margin: 0;
}
html {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-size: 62.5%;
}
@font-face {
  font-family: "byekan";
  src: url("../fonts/BYekan+.ttf");
}

@media only screen and (max-width: 75em) {
  html {
    font-size: 50%;
  }
}
body {
  font-family: "byekan";
  color: #6d5d4b;
  border-radius: 5px;
  font-weight: 300;
  line-height: 1.6;
}
.container {
  display: grid;
  grid-template-rows: 80vh -webkit-min-content 40vw -webkit-min-content -webkit-min-content -webkit-min-content;
  grid-template-rows: 80vh min-content 40vw min-content min-content min-content;
  grid-template-columns:
    [side-start] 8rem [side-end full-start] minmax(6rem, 1fr)
    [center-start] repeat(
      8,
      [col-start] minmax(-webkit-min-content, 14rem) [col-end]
    )
    [center-end] minmax(6rem, 1fr) [full-end];
  grid-template-columns:
    [side-start] 8rem [side-end full-start] minmax(6rem, 1fr)
    [center-start] repeat(8, [col-start] minmax(min-content, 14rem) [col-end])
    [center-end] minmax(6rem, 1fr)
    [full-end];
}
@media only screen and (max-width: 62.5em) {
  .container {
    grid-template-rows: 6rem 80vh -webkit-min-content 40vw -webkit-min-content -webkit-min-content -webkit-min-content;
    grid-template-rows: 6rem 80vh min-content 40vw min-content min-content min-content;
    grid-template-columns:
      [full-start] minmax(6rem, 1fr) [center-start] repeat(
        8,
        [col-start] minmax(-webkit-min-content, 14rem) [col-end]
      )
      [center-end] minmax(6rem, 1fr) [full-end];
    grid-template-columns:
      [full-start] minmax(6rem, 1fr) [center-start] repeat(
        8,
        [col-start] minmax(min-content, 14rem) [col-end]
      )
      [center-end] minmax(6rem, 1fr) [full-end];
  }
}
@media only screen and (max-width: 50em) {
  .container {
    grid-template-rows: 6rem calc(100vh - 6rem) -webkit-min-content -webkit-min-content -webkit-min-content -webkit-min-content -webkit-min-content -webkit-min-content -webkit-min-content;
    grid-template-rows: 6rem calc(100vh - 6rem) min-content min-content min-content min-content min-content min-content min-content;
  }
}
.heading-1,
.heading-2,
.heading-3,
.heading-4 {
  font-family: "byekan";
  font-weight: 400;
}
.heading-1 {
  font-size: 4.5rem;
  color: #fff;
}
.heading-2 {
  font-size: 4rem;
  font-style: italic;
  letter-spacing: -0.5px;
  line-height: 1.05;
}
.heading-2--dark {
  color: #54483a;
}
.heading-3 {
  font-size: 1.6rem;
  color: #c69963;
  text-transform: uppercase;
}
.heading-4 {
  font-size: 1.9rem;
}
.heading-4--dark {
  color: #54483a;
}
.heading-4--light {
  color: #f9f7f6;
}
.btn {
  background-color: #c69963;
  color: #fff;
  border-radius: 0;
  border: none;
  font-family: "byekan";
  font-size: 1.5rem;
  text-transform: uppercase;
  padding: 1.5rem 3rem;
  cursor: pointer;
  transition: all 0.2s;
}
.btn:hover {
  background-color: #b28451;
}
.mb-sm {
  margin-bottom: 2rem;
}
.mb-md {
  margin-bottom: 3rem;
}
.mb-lg {
  margin-bottom: 4rem;
}
.mb-hg {
  margin-bottom: 8rem;
}
.sidebar {
  background-color: #c69963;
  grid-column: side-start / side-end;
  grid-row: 1 / -1;
  display: flex;
  justify-content: center;
}
.sidebar .navigation a:hover {
  background-color: #b28451;
}
@media only screen and (max-width: 62.5em) {
  .sidebar {
    grid-row: 1 / 2;
    grid-column: 1 / -1;
    align-items: center;
    justify-content: end;
  }
}
.nav-btn {
  margin-top: 4rem;
  border: none;
  border-radius: 0;
  background-color: #fff;
  height: 2px;
  width: 4.4rem;
}
@media only screen and (max-width: 62.5em) {
  .nav-btn {
    margin-top: 0;
    margin-right: 3rem;
  }
}
.nav-btn::after,
.nav-btn::before {
  content: "";
  display: block;
  background-color: #fff;
  height: 2px;
  width: 4.4rem;
}
.nav-btn::after {
  transform: translateY(-1.5rem);
}
.nav-btn::before {
  transform: translateY(1.3rem);
}
@media only screen and (max-width: 62.5em) {
  .nav-btn::after {
    transform: translateY(-1.3rem);
  }
  .nav-btn::before {
    transform: translateY(1rem);
  }
}
.register__btn {
  top: 10%;
  left: 10%;
  width: 150px;
  height: 50px;
  text-align: center;
  position: absolute;
  border-radius: 5px;
}
.header {
  padding: 8rem;
  padding-top: 4rem;
  background-image: linear-gradient(
      rgba(16, 29, 44, 0.93),
      rgba(16, 29, 44, 0.93)
    ),
    url(../img/hero.jpeg);
  background-size: cover;
  background-position: center;
  grid-column: full-start / full-end;
  display: grid;
  grid-template-rows: 1fr -webkit-min-content minmax(6rem, -webkit-min-content) 1fr;
  grid-template-rows: 1fr min-content minmax(6rem, min-content) 1fr;
  grid-template-columns: minmax(-webkit-min-content, -webkit-max-content);
  grid-template-columns: minmax(min-content, max-content);
  row-gap: 1.5rem;
  justify-content: center;
}
@media only screen and (max-width: 50em) {
  .header {
    grid-column: full-start / full-end;
  }
}
.header__btn {
  align-self: start;
  justify-self: start;
}
.header__logo {
  height: auto;
  justify-self: center;
  width: 60%;
}
.header__seenof {
  display: flex;
  justify-content: space-around;
}
.header__seenof--text {
  display: grid;
  grid-template-columns: 1fr -webkit-max-content 1fr;
  grid-template-columns: 1fr max-content 1fr;
  align-items: center;
  -moz-column-gap: 1rem;
  column-gap: 1rem;
  color: #aaa;
  font-size: 1.6rem;
}
.header__seenof--text::after,
.header__seenof--text::before {
  content: "";
  display: block;
  height: 1px;
  background-color: currentColor;
}
.header__seenof img {
  max-height: 2.5rem;
  max-width: 100%;
  filter: brightness(0.6);
}
.realtors {
  background-color: #101d2c;
  grid-column: col-start 7 / full-end;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2rem;
}
@media only screen and (max-width: 50em) {
  .realtors {
    grid-column: full-start / full-end;
  }
}
.realtors__item {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  -moz-column-gap: 2rem;
  column-gap: 2rem;
}
.realtors__item--picture {
  height: 6.5rem;
  border-radius: 50%;
  display: block;
  grid-row: 1 / -1;
}
.realtors__item--name {
  color: #fff;
  text-transform: capitalize;
  font-weight: 400;
  font-size: 1.3rem;
}
.realtors__item--background {
  color: #aaa;
}
@media only screen and (max-width: 50em) {
  .realtors {
    height: 12rem;
    flex-direction: row;
    justify-content: space-around;
  }
  .realtors__heading {
    display: none;
  }
  .realtors__item {
    -moz-column-gap: 1rem;
    column-gap: 1rem;
  }
}
.features {
  margin: 15rem 0;
  grid-column: center-start / center-end;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  align-items: start;
  gap: 6rem;
}
.feature {
  display: grid;
  grid-template-columns: -webkit-min-content 1fr;
  grid-template-columns: min-content 1fr;
  row-gap: 1.5rem;
  -moz-column-gap: 2.5rem;
  column-gap: 2.5rem;
}
.feature__icon {
  fill: #c69963;
  width: 4.5rem;
  height: 4.5rem;
  grid-row: 1 / span 2;
  transform: translateY(-1rem);
}
.feature__text {
  font-size: 1.7rem;
}
.story__pictures {
  background-image: linear-gradient(
      rgba(198, 153, 99, 0.5),
      rgba(198, 153, 99, 0.5)
    ),
    url(../img/back.jpg);
  background-size: cover;
  grid-column: full-start / col-end 4;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-template-rows: repeat(6, 1fr);
}
@media only screen and (max-width: 50em) {
  .story__pictures {
    grid-column: full-start / full-end;
    padding: 3rem;
  }
}
.story__img--1 {
  width: 100%;
  grid-row: 2 / 6;
  grid-column: 2 / 6;
  box-shadow: 0 2rem 5rem rgba(0, 0, 0, 0.1);
}
@media only screen and (max-width: 50em) {
  .story__img--1 {
    grid-column: 1 / 5;
    grid-row: 1 / -1;
  }
}
.story__img--2 {
  width: 115%;
  grid-row: 4 / 6;
  grid-column: 4 / 7;
  z-index: 10;
  box-shadow: 0 2rem 5rem rgba(0, 0, 0, 0.2);
}
@media only screen and (max-width: 50em) {
  .story__img--2 {
    width: 100%;
    grid-row: 3 / -1;
  }
}
.story__content {
  background-color: #f9f7f6;
  grid-column: col-start 5 / full-end;
  padding: 6rem 8vw;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
}
@media only screen and (max-width: 50em) {
  .story__content {
    grid-column: full-start / full-end;
    grid-row: 5/ 6;
  }
}
.story__content--text {
  font-size: 1.5rem;
  font-style: italic;
}
.homes {
  grid-column: center-start / center-end;
  display: grid;
  margin: 15rem 0;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  gap: 7rem;
}
.home {
  background-color: #f9f7f6;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  row-gap: 3.5rem;
}
.home__img {
  width: 100%;
  grid-column: 1 / -1;
  grid-row: 1 / 2;
  z-index: 1;
}
.home__like {
  grid-row: 1 / 2;
  grid-column: 2 / 3;
  fill: #c69963;
  width: 2.5rem;
  height: 2.5rem;
  justify-self: end;
  z-index: 2;
  margin: 1rem;
}
.home__name {
  grid-column: 1 / -1;
  grid-row: 1 / 2;
  z-index: 4;
  align-self: end;
  justify-self: center;
  font-family: "byekan";
  font-size: 1.6rem;
  text-align: center;
  padding: 1.25rem;
  background-color: #101d2c;
  color: #fff;
  font-weight: 400;
  width: 80%;
  transform: translateY(50%);
}
.home__location,
.home__rooms {
  margin-top: 2.5rem;
}
.home__location,
.home__rooms,
.home__area,
.home__price {
  font-size: 1.5rem;
  margin-left: 2rem;
  display: flex;
  gap: 1rem;
  align-items: center;
}
.home__location svg,
.home__rooms svg,
.home__area svg,
.home__price svg {
  fill: #c69963;
  width: 2rem;
  height: 2rem;
}
.home__btn {
  grid-column: 1 / -1;
}
.gallery {
  background-color: #f9f7f6;
  grid-column: full-start / full-end;
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  grid-template-rows: repeat(7, 5vw);
  gap: 1.5rem;
  padding: 1.5rem;
}
.gallery__item--1 {
  grid-row: 1 / span 2;
  grid-column: 1 / span 2;
}
.gallery__item--2 {
  grid-row: 1 / span 3;
  grid-column: 3 / span 3;
}
.gallery__item--3 {
  grid-row: 1 / span 2;
  grid-column: 6 / 7;
}
.gallery__item--4 {
  grid-row: 1 / span 2;
  grid-column: 7 / -1;
}
.gallery__item--5 {
  grid-row: 3 / span 3;
  grid-column: 1 / span 2;
}
.gallery__item--6 {
  grid-row: 4 / span 2;
  grid-column: 3 / span 2;
}
.gallery__item--7 {
  grid-row: 4 / 5;
  grid-column: 5 / 6;
}
.gallery__item--8 {
  grid-row: 3 / span 2;
  grid-column: 6 / span 2;
}
.gallery__item--9 {
  grid-row: 3 / span 3;
  grid-column: 8 / -1;
}
.gallery__item--10 {
  grid-row: 6 / -1;
  grid-column: 1 / 2;
}
.gallery__item--11 {
  grid-row: 6 / -1;
  grid-column: 2 / span 2;
}
.gallery__item--12 {
  grid-row: 6 / -1;
  grid-column: 4 / 5;
}
.gallery__item--13 {
  grid-row: 5 / -1;
  grid-column: 5 / span 3;
}
.gallery__item--14 {
  grid-row: 6 / -1;
  grid-column: 8 / -1;
}
.gallery__image {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}
.footer {
  background-color: #101d2c;
  grid-column: full-start / full-end;
  padding: 8rem;
}
.copyright {
  text-align: center;
  color: #aaa;
  font-size: 1.2rem;
  width: 70%;
  margin: 0 auto;
}
.nav {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
  align-items: center;
  gap: 2rem;
}
.nav__link:link,
.nav__link:visited {
  font-size: 1.4rem;
  color: #fff;
  text-decoration: none;
  font-family: "byekan";
  text-transform: uppercase;
  text-align: center;
  padding: 1.5rem;
  display: block;
  transition: all 0.3s;
}
.nav__link:hover {
  background-color: rgba(255, 255, 255, 0.05);
  transform: translateY(-0.3rem);
}
.navigation {
  list-style: none;
}

.user-acc {
  margin-left: 1rem;
}
